<%- include('partials/header', {title: 'Seznam všech pohybů'}) %>

<div class="row">
    <div class="col">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">Všecičky pohyby</h5>
                <table id="datatable" class="table table-borderless table-hover table-special">
                    <thead>
                        <tr>
                            <th scope="col">Datum</th>
                            <th scope="col">O co jde</th>
                            <th scope="col">Částka</th>
                            <th scope="col">Detail</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% financialMovements.forEach( (item) => {%>
                            <tr>
                                <td><%= moment(item.date).format('DD-MM-YYYY') %></td>
                                <td><strong><%= item.name %></strong></td>
                                <td>
                                    <% if (item.recordType === 'expenditure') { %>
                                        <span class="text-danger">-<%= numberFormat(item.value.amount, 2, ',', ' ') %> <%= item.value.currency %></span>
                                    <% } else if (item.recordType === 'income') { %>
                                        <span class="text-success"><%= numberFormat(item.value.amount, 2, ',', ' ') %> <%= item.value.currency %></span>
                                    <% } else { %>
                                        <span class="text-success"><del><%= numberFormat(item.value.amount, 2, ',', ' ') %> <%= item.value.currency %></del></span>
                                    <% } %>
                                </td>
                                <td>
                                    <a href="#" class="btn btn-sm btn-outline-primary">Detail</a>
                                    <a href="/fin/delete/<%= item.id %>" class="btn btn-sm btn-outline-danger">Smazat</a>
                                </td>
                            </tr>
                        <%})%>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<%- include('partials/footer') %>
<script>
    $(document).ready( function () {
        $('#datatable').DataTable();
    });
</script>
<%- include('partials/file-end') %>